# 算法生命周期管理数据库设计文档

## 1. 数据表设计

### 1.1 algorithm_info（算法基础信息表）
| 字段名 | 类型 | 是否为空 | 默认值 | 说明 |
|--------|------|----------|--------|------|
| id | BIGINT | NOT NULL | AUTO_INCREMENT | 主键ID |
| algorithm_name | VARCHAR(100) | NOT NULL |  | 算法名称(唯一) |
| algorithm_type | VARCHAR(50) | NOT NULL |  | 算法分类 |
| description | TEXT | NULL |  | 算法描述 |
| created_by | VARCHAR(50) | NOT NULL |  | 创建人 |
| create_time | DATETIME | NOT NULL | CURRENT_TIMESTAMP | 创建时间 |
| update_time | DATETIME | NOT NULL | CURRENT_TIMESTAMP ON UPDATE | 更新时间 |
| status | TINYINT | NOT NULL | 1 | 状态(1启用 0禁用 -1删除) |

### 1.2 algorithm_version（算法版本表）
| 字段名 | 类型 | 是否为空 | 默认值 | 说明 |
|--------|------|----------|--------|------|
| id | BIGINT | NOT NULL | AUTO_INCREMENT | 版本ID |
| algorithm_id | BIGINT | NOT NULL |  | 关联算法ID |
| version | VARCHAR(50) | NOT NULL |  | 语义版本号 |
| version_desc | TEXT | NULL |  | 版本说明 |
| storage_path | VARCHAR(255) | NOT NULL |  | 存储路径 |
| config_params | JSON | NULL |  | 配置参数 |
| creator | VARCHAR(50) | NOT NULL |  | 创建人 |
| create_time | DATETIME | NOT NULL | CURRENT_TIMESTAMP | 创建时间 |
| status | TINYINT | NOT NULL | 0 | 状态(1发布 0开发 -1废弃) |

### 1.3 algorithm_dependency（算法依赖表）
| 字段名 | 类型 | 是否为空 | 默认值 | 说明 |
|--------|------|----------|--------|------|
| id | BIGINT | NOT NULL | AUTO_INCREMENT | 依赖ID |
| algorithm_id | BIGINT | NOT NULL |  | 关联算法ID |
| version_id | BIGINT | NOT NULL |  | 关联版本ID |
| dependency_type | VARCHAR(50) | NOT NULL |  | 依赖类型 |
| dep_name | VARCHAR(100) | NOT NULL |  | 依赖名称 |
| dep_version | VARCHAR(50) | NOT NULL |  | 依赖版本 |
| create_time | DATETIME | NULL | CURRENT_TIMESTAMP | 创建时间 |
